#if !defined(AFX_STOCKSET_H__CA4A97D6_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
#define AFX_STOCKSET_H__CA4A97D6_278B_11D4_9FC0_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StockSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStockSet DAO recordset

class CStockSet : public CDaoRecordset
{
public:
	bool Lookup(int ID);
	int GetNextID();
	double GetLatestPrice(int StockID=-1);
	CStockSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CStockSet)

// Field/Param Data
	//{{AFX_FIELD(CStockSet, CDaoRecordset)
	long	m_StockID;
	CString	m_Symbol;
	CString	m_Company;
	CString	m_Exchange;
	CString	m_Industry;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStockSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STOCKSET_H__CA4A97D6_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
